import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from "react";
import CompanyViewFinancialSummary from "../CompanyViewFinancialSummary";
const CompanyViewFinancialBody = ({ companyViewActiveTab = "Summary", financialsPayload, }) => {
    useState("Summary");
    const [summaryFinancialButton, setsummaryFinancialButton] = useState("Revenue");
    switch (companyViewActiveTab) {
        case "Summary":
            return (_jsx(CompanyViewFinancialSummary, { Revenue: financialsPayload.Revenue, earning: financialsPayload.earning, stockPerformance: financialsPayload.stockPerformance, stockPerformanceError: true, revenueAndEarningError: true, revenueAndEarningLoading: true, stockPerformanceLoading: true, summaryFinancialButton: summaryFinancialButton, setsummaryFinancialButton: setsummaryFinancialButton }));
            break;
        case "Balance Sheet":
            return (_jsx(_Fragment, { children: _jsx("h1", { children: "BalanceSheet" }) }));
            break;
        case "Cash Flow":
            return (_jsx(_Fragment, { children: _jsx("h1", { children: "CashFlow" }) }));
            break;
        case "Income Statement":
            return (_jsx(_Fragment, { children: _jsx("h1", { children: "IncomeStatement" }) }));
            break;
        default:
            return _jsx(_Fragment, {});
            break;
    }
};
export default CompanyViewFinancialBody;
